Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1513166

Summary: Review Request: ghc-wreq - An easy-to-use HTTP client library
Product: [Fedora] Fedora Reporter: David Shea <dshea>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:19:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1513152, 1513163    
Bug Blocks:    

Description David Shea 2017-11-14 20:52:53 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-wreq/ghc-wreq.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00656480-ghc-wreq/ghc-wreq-0.5.1.0-2.fc27.src.rpm
Description: A web client library that is designed for ease of use.

Tutorial: <http://www.serpentine.com/wreq/tutorial.html>

Features include:

* Simple but powerful `lens`-based API

* A solid test suite, and built on reliable libraries like http-client and lens

* Session handling includes connection keep-alive and pooling, and cookie
persistence

* Automatic response body decompression

* Powerful multipart form and file upload handling

* Support for JSON requests and responses, including navigation of schema-less
responses

* Basic and OAuth2 bearer authentication

* Early TLS support via the tls package.
Fedora Account System Username: dshea

Comment 1 Robert-André Mauchin 🐧 2017-11-15 14:25:55 UTC
Package accepted.

Comment 2 Gwyn Ciesla 2017-11-15 15:58:14 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-wreq

Comment 3 Fedora Update System 2017-11-30 16:05:04 UTC
ghc-wreq-0.5.1.0-1.fc27 ghc-tar-conduit-0.1.1-1.fc27 ghc-servant-server-0.12-1.fc27 ghc-servant-options-0.1.0.0-1.fc27 ghc-servant-foreign-0.10.2-1.fc27 ghc-servant-client-core-0.12-1.fc27 ghc-servant-client-0.12.0.1-1.fc27 ghc-servant-0.12-1.fc27 ghc-RSA-2.2.0-1.fc27 ghc-mono-traversable-1.0.2-1.fc27 ghc-lzma-conduit-1.1.3.3-1.fc27 ghc-hspec-core-2.4.4-1.fc27 ghc-hspec-2.4.4-1.fc27 ghc-haskell-gi-overloading-1.0-2.fc27 ghc-haskell-gi-0.20.3-1.fc27 ghc-gi-ostree-1.0.5-1.fc27 ghc-gi-gobject-2.0.15-1.fc27 ghc-gi-glib-2.0.14-1.fc27 ghc-gi-gio-2.0.14-1.fc27 ghc-content-store-0.2.0-1.fc27 ghc-conduit-combinators-1.1.1-1.fc27 ghc-codec-rpm-0.2.0-1.fc27 ghc-authenticate-oauth-1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 4 Fedora Update System 2017-12-02 19:53:56 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 5 Fedora Update System 2017-12-12 11:19:32 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.